Subject: [PATCH v2 00/24] Kill the_index part 4

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Mon, 3 Sep 2018 20:09:08 +0200

v2 changes:

- the 'repo' argument is renamed to 'r' in most places.  I still keep
  'repo' as the name if it's not the first argument (i.e.  it's some
  normal parameter and not the "this" object in C++ sense).

- I accidentally merged the diff.c changes into the 'read-cache.c:
  remove const...' patch last time. It's now split up.

- wt-status.c is swapped out and revision.c takes its place at the end
  of the series. I figure revision.c and diff.c usually play hand in
  hand, might as well keep them in one part.

- The last patch is just to make sure 'pu' still builds after
  resolving conflicts, in case Junio picks it up. If 'stash' and
  'rebase' topics enter 'master' first, I could just drop this one.
  Otherwise I'll revert it some time later.

Nguyễn Thái Ngọc Duy (24):
  archive.c: remove implicit dependency the_repository
  read-cache.c: remove 'const' from index_has_changes()
  diff.c: reduce implicit dependency on the_index
  combine-diff.c: remove implicit dependency on the_index
  blame.c: rename "repo" argument to "r"
  diff.c: remove the_index dependency in textconv() functions
  grep.c: remove implicit dependency on the_index
  diff.c: remove implicit dependency on the_index
  read-cache.c: remove implicit dependency on the_index
  diff-lib.c: remove implicit dependency on the_index
  ll-merge.c: remove implicit dependency on the_index
  merge-blobs.c: remove implicit dependency on the_index
  merge.c: remove implicit dependency on the_index
  patch-ids.c: remove implicit dependency on the_index
  sha1-file.c: remove implicit dependency on the_index
  rerere.c: remove implicit dependency on the_index
  userdiff.c: remove implicit dependency on the_index
  line-range.c: remove implicit dependency on the_index
  submodule.c: remove implicit dependency on the_index
  tree-diff.c: remove implicit dependency on the_index
  ws.c: remove implicit dependency on the_index
  revision.c: remove implicit dependency on the_index
  revision.c: reduce implicit dependency the_repository
  Rename functions to avoid breaking in-flight topics

 apply.c                          |  19 ++-
 archive-zip.c                    |  14 +-
 archive.c                        |   2 +-
 bisect.c                         |   4 +-
 blame.c                          |  63 ++++----
 builtin/add.c                    |   4 +-
 builtin/am.c                     |  10 +-
 builtin/blame.c                  |   4 +-
 builtin/cat-file.c               |   6 +-
 builtin/checkout.c               |   7 +-
 builtin/commit.c                 |   4 +-
 builtin/describe.c               |   4 +-
 builtin/diff-files.c             |   2 +-
 builtin/diff-index.c             |   2 +-
 builtin/diff-tree.c              |   2 +-
 builtin/diff.c                   |   4 +-
 builtin/difftool.c               |   2 +-
 builtin/fast-export.c            |   2 +-
 builtin/fmt-merge-msg.c          |   2 +-
 builtin/grep.c                   |   7 +-
 builtin/hash-object.c            |   2 +-
 builtin/log.c                    |  25 +--
 builtin/merge-tree.c             |   2 +-
 builtin/merge.c                  |  16 +-
 builtin/pack-objects.c           |   2 +-
 builtin/prune.c                  |   2 +-
 builtin/pull.c                   |   9 +-
 builtin/range-diff.c             |   2 +-
 builtin/reflog.c                 |   2 +-
 builtin/replace.c                |   2 +-
 builtin/rerere.c                 |   6 +-
 builtin/reset.c                  |   1 +
 builtin/rev-list.c               |   2 +-
 builtin/revert.c                 |   2 +-
 builtin/shortlog.c               |   2 +-
 builtin/submodule--helper.c      |   2 +-
 builtin/update-index.c           |   2 +-
 bundle.c                         |   4 +-
 cache.h                          |  14 +-
 combine-diff.c                   |  32 ++--
 diff-lib.c                       |  21 +--
 diff-no-index.c                  |   9 +-
 diff.c                           | 261 ++++++++++++++++++-------------
 diff.h                           |  20 ++-
 diffcore-break.c                 |  12 +-
 diffcore-delta.c                 |  12 +-
 diffcore-pickaxe.c               |   8 +-
 diffcore-rename.c                |  35 +++--
 diffcore.h                       |  13 +-
 grep.c                           |  34 ++--
 grep.h                           |  10 +-
 http-push.c                      |   2 +-
 line-log.c                       |  25 +--
 line-range.c                     |  22 ++-
 line-range.h                     |   6 +-
 list-objects.c                   |   8 +-
 ll-merge.c                       |  17 +-
 ll-merge.h                       |   5 +-
 merge-blobs.c                    |  16 +-
 merge-blobs.h                    |   7 +-
 merge-recursive.c                |   7 +-
 merge.c                          |  20 +--
 notes-merge.c                    |   9 +-
 pack-bitmap-write.c              |   2 +-
 patch-ids.c                      |   4 +-
 patch-ids.h                      |   3 +-
 read-cache.c                     |  33 ++--
 ref-filter.c                     |   2 +-
 remote.c                         |   2 +-
 rerere.c                         | 121 +++++++-------
 rerere.h                         |  10 +-
 revision.c                       |  76 ++++-----
 revision.h                       |  13 +-
 sequencer.c                      |  18 +--
 sha1-file.c                      |  50 +++---
 shallow.c                        |   2 +-
 submodule.c                      |  34 ++--
 submodule.h                      |   9 +-
 t/helper/test-revision-walking.c |   2 +-
 transport.c                      |   9 +-
 tree-diff.c                      |   2 +-
 userdiff.c                       |   5 +-
 userdiff.h                       |   3 +-
 ws.c                             |   5 +-
 wt-status.c                      |  10 +-
 85 files changed, 740 insertions(+), 549 deletions(-)

-- 
2.19.0.rc0.337.ge906d732e7